diff options
author | Jean-Sébastien Pédron <[email protected]> | 2017-05-10 19:09:46 +0200 |
---|---|---|
committer | Loïc Hoguin <[email protected]> | 2017-05-12 11:53:47 +0200 |
commit | ae5415d4a1000022c568932e7a6efa96e684b016 (patch) | |
tree | f26329540c7b5d1ebe68a1ff2395ff68d926d60c /core/rel.mk | |
parent | 8b619436a8307367a3c29684ee17ff4ba0c4ef9b (diff) | |
download | erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.gz erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.tar.bz2 erlang.mk-ae5415d4a1000022c568932e7a6efa96e684b016.zip |
Make sure the build fails if a docs/rel/test/shell dep fails
Before this change, the build would continue, even if a dependency
failed to build. This could lead to obscure errors in the middle of a
testsuite for instance.
With this change, the build fails immediately, exactly like when a
regular dependency fails to build.
While here, replace most uses of `|| exit $$?` with `set -e`. This
simplifies error handling if we need to add more commands to each
blocks.
Also, echo error messages to stderr.
Diffstat (limited to 'core/rel.mk')
-rw-r--r-- | core/rel.mk | 2 |
1 files changed, 1 insertions, 1 deletions
diff --git a/core/rel.mk b/core/rel.mk index b149158..f64278c 100644 --- a/core/rel.mk +++ b/core/rel.mk @@ -15,5 +15,5 @@ ifneq ($(SKIP_DEPS),) rel-deps: else rel-deps: $(ALL_REL_DEPS_DIRS) - $(verbose) for dep in $(ALL_REL_DEPS_DIRS) ; do $(MAKE) -C $$dep; done + $(verbose) set -e; for dep in $(ALL_REL_DEPS_DIRS) ; do $(MAKE) -C $$dep; done endif |